Subject: Re: Yggdrasil v0.5 dependency update

From: John Goerzen <[email-masked]>
Date: Thu, 02 Nov 2023 18:23:58 -0500

On Tue, Oct 31 2023, Sergey Matveev wrote:

> Greetings!
>
> *** John Goerzen [2023-10-31 12:41]:
>>Third, Yggdrasil just announced a major upgrade to 0.5.  Although keys
>>and IPs remain the same, the wire protocol has an incompatible change.
>>It also requires the newer hjson v5 go module.
>
> Just made a 8.10.0 release with Yggdrasil, hjson and other dependant
> libraries update (except for gvisor, that again changed its API, so I
> did not bother dealing with it). Check Yggdrasil workability with my
> v0.5 node.

Thank you, Sergey!  I have uploaded NNCP 8.10.0, Yggdrasil 0.5.1, and
updates of their dependencies to Debian.  NNCP 8.10.0 should be
available for all Debian unstable platforms by Saturday, and I will get
it in bookworm-backports in a couple of weeks as well.

> Unfortunately tarball's size increased by nearly a megabyte, mainly
> because Yggdrasil has QUIC transport now.

Wow, that's a lot of code.  But, I guess, understandable, implementing a
whole protocol in userspace like that.  That should have some very nice
properties for systems that hop networks (mobile to wifi and such).

- John